<?php


namespace IPS\mobilemenu\modules\admin\mobilemenu;

/* To prevent PHP errors (extending class does not exist) revealing path */
if ( !\defined( '\IPS\SUITE_UNIQUE_KEY' ) )
{
	header( ( isset( $_SERVER['SERVER_PROTOCOL'] ) ? $_SERVER['SERVER_PROTOCOL'] : 'HTTP/1.0' ) . ' 403 Forbidden' );
	exit;
}

/**
 * basicsettings
 */
class _basicsettings extends \IPS\Dispatcher\Controller
{
	/**
	 * Execute
	 *
	 * @return	void
	 */
	public function execute()
	{
		
		parent::execute();
	}

	/**
	 * ...
	 *
	 * @return	void
	 */
	protected function manage()

	{
		$form = new \IPS\Helpers\Form;
		$form->addHeader( 'Mobile Menu is a free application by Vortex Development' );
		$form->add( new \IPS\Helpers\Form\Color( 'vxmm_setting_iconcolor', \IPS\Settings::i()->vxmm_setting_iconcolor ) );
		$form->add( new \IPS\Helpers\Form\Number( 'vxmm_setting_iconsize', \IPS\Settings::i()->vxmm_setting_iconsize ) );
		$form->add( new \IPS\Helpers\Form\Color( 'vxmm_setting_textcolor', \IPS\Settings::i()->vxmm_setting_textcolor ) );
		$form->add( new \IPS\Helpers\Form\YesNo( 'vxmm_setting_showtext', \IPS\Settings::i()->vxmm_setting_showtext, FALSE, array(), NULL, NULL, NULL, 'vxmm_setting_showtext' ) );
		$form->add( new \IPS\Helpers\Form\Color( 'vxmm_setting_background', \IPS\Settings::i()->vxmm_setting_background ) );
		$form->add( new \IPS\Helpers\Form\Text( 'vxmm_setting_opacity', \IPS\Settings::i()->vxmm_setting_opacity ) );
		$form->add( new \IPS\Helpers\Form\Number( 'vxmm_setting_margin', \IPS\Settings::i()->vxmm_setting_margin ) );
		$form->add( new \IPS\Helpers\Form\Number( 'vxmm_setting_padding', \IPS\Settings::i()->vxmm_setting_padding ) );
		$form->add( new \IPS\Helpers\Form\Number( 'vxmm_setting_cookies', \IPS\Settings::i()->vxmm_setting_cookies ) );
		$themes = array();
		foreach( \IPS\Theme::themes() as $theme ) {
			$themes[ $theme->id ] = $theme->_title;
		}
		$form->add( new \IPS\Helpers\Form\Select( 'vxmm_setting_themes', ( \IPS\Settings::i()->vxmm_setting_themes ? explode( ',', \IPS\Settings::i()->vxmm_setting_themes ) : '' ), FALSE, array( 'options' => $themes, 'multiple' => true ) ) );
		$form->add( new \IPS\Helpers\Form\YesNo( 'vxmm_setting_hidedefault', \IPS\Settings::i()->vxmm_setting_hidedefault, FALSE, array(), NULL, NULL, NULL, 'vxmm_setting_hidedefault' ) );
		
		$form->add( new \IPS\Helpers\Form\Select( 
			'vxmm_setting_groups', 
			\IPS\Settings::i()->vxmm_setting_groups != -1 ? explode( ',', \IPS\Settings::i()->vxmm_setting_groups ) : -1,
			TRUE, 
			array( 
			'options' => \IPS\Member\Group::groups(), 
			'parse' => 'normal', 
			'multiple' => TRUE, 
			'unlimited' => -1, 
			'unlimitedLang' => 'all_groups' 
			) 
			) );		
		
		$form->addMessage( 'vxmm_infoline' );
		if ( $values = $form->values() )
		{
			$form->saveAsSettings();
		}
		\IPS\Output::i()->title = \IPS\Member::loggedIn()->language()->addToStack( 'Mobile Menu - Basic Settings' );
		\IPS\Output::i()->output = $form;
	}
	// Create new methods with the same name as the 'do' parameter which should execute it
}